=== debian/changelog ===
x-loader (1.5.1+git20110715+fca7cd2-7) unstable; urgency=medium

  * QA upload.

  * Reduced debhelper compat level from 13 to 8 to avoid build breaking linker flags.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 27 Oct 2024 09:30:22 +0100

x-loader (1.5.1+git20110715+fca7cd2-6) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Update copyright file header to use current field names (Name ⇒ Upstream-Name, Maintainer ⇒ Upstream-Contact)
  * Drop fields with obsolete URLs.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 24 Oct 2024 16:07:31 +0200

x-loader (1.5.1+git20110715+fca7cd2-5) unstable; urgency=medium

  * QA upload.
  * Don't apply quilt patches twice.
  * d/rules: Remove unnecessary target override.

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jun 2024 18:38:41 +0000

x-loader (1.5.1+git20110715+fca7cd2-4) unstable; urgency=medium

  * QA upload.
  * Don't build with -Werror. (Closes: #1028625, #1026364)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Feb 2023 21:06:34 +0200

x-loader (1.5.1+git20110715+fca7cd2-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1001580)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 15:43:19 -0300

x-loader (1.5.1+git20110715+fca7cd2-2) unstable; urgency=low

  * Initial upload of X-loader to Debian
  * Set myself as Maintainer

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 28 May 2012 09:19:34 +0300

x-loader (1.5.1+git20110715+fca7cd2-1ubuntu2) precise; urgency=low

  * Build for armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Dec 2011 16:20:38 +0100

x-loader (1.5.1+git20110715+fca7cd2-1ubuntu1) oneiric; urgency=low

  * New upstream release
    - several fixes for panda and igep
    - OMAP3 code cleanup
    - Beagle Rev C5 support
    - Support for IGEPv3 board

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Fri, 15 Jul 2011 05:55:09 -0300

x-loader (1.5.0+git20110325+b6bbfe7-1ubuntu3) oneiric; urgency=low

  * debian/patches/05-unused-variable-in-printf.c.patch:
    - Stop declaring and setting a variable for the sole purpose of storing
      a return value that we never used, making gcc-4.6 -Werror happy

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 10 Jul 2011 00:46:12 +0000

x-loader (1.5.0+git20110325+b6bbfe7-1ubuntu2) oneiric; urgency=low

  * debian/patches/04-omap4-pandaboard-ehci-fref_clkout-per-board-revision.patch:
    - Adding proper fref_clkout per board revision, to make ehci and tftp to work
      with u-boot

 -- Ricardo Salveti de Araujo <ricardo.salveti@linaro.org>  Tue, 28 Jun 2011 02:24:42 +0100
