=== debian/control ===
Source: x-loader
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8~)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/x-loader
Vcs-Git: https://salsa.debian.org/debian/x-loader.git

Package: x-loader-omap3-beagle
Architecture: armel armhf
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Board initialization helper for TI OMAP 3 Beagle boards
 The x-loader initializes OMAP based boards to get the hardware
 to a stage where it is possible to load and initialize a
 bootloader (i.e. the commonly used u-boot)
 .
 This package contains a version for TI OMAP 3 Beagle boards.

Package: x-loader-omap3-igepv2
Architecture: armel armhf
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Board initialization helper for IGEP v2 and v3 boards
 The x-loader initializes OMAP based boards to get the hardware
 to a stage where it is possible to load and initialize a
 bootloader (i.e. the commonly used u-boot)
 .
 This package contains a version for IGEP v2 and v3 boards.

Package: x-loader-omap3-overo
Architecture: armel armhf
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Board initialization helper for Gumstix Overo boards
 The x-loader initializes OMAP based boards to get the hardware
 to a stage where it is possible to load and initialize a
 bootloader (i.e. the commonly used u-boot)
 .
 This package contains a version for Gumstix Overo boards.

Package: x-loader-omap4-panda
Architecture: armel armhf
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Board initialization helper for TI OMAP 4 Panda boards
 The x-loader initializes OMAP based boards to get the hardware
 to a stage where it is possible to load and initialize a
 bootloader (i.e. the commonly used u-boot)
 .
 This package contains a version for TI OMAP 4 Panda boards.
